#
# Conditional build:
%bcond_without	tests	# don't perform "make tests"
%bcond_with	dynamic	# link libstdc++ and libgcc dynamically
#
Summary:	AppArmor userlevel parser utility
Summary(pl.UTF-8):	Narzędzie przestrzeni użytkownika do przetwarzania AppArmor
Name:		apparmor-parser
Version:	2.10
Release:	1
Epoch:		1
License:	GPL v2
Group:		Applications/System
Source0:	http://launchpad.net/apparmor/2.10/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	9fd9b6b3525882fdb9441d0f0a8f9162
Source1:	%{name}.init
Patch0:		%{name}-pld.patch
URL:		http://wiki.apparmor.net/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-tools
BuildRequires:	libapparmor-devel >= 1:%{version}
BuildRequires:	libcap-devel
BuildRequires:	libstdc++-devel
# for apparmor_profile which links statically sometimes
%if %{without dynamic}
BuildRequires:	libapparmor-static
BuildRequires:	libstdc++-static
%endif
BuildRequires:	perl-tools-pod
%if %{with tests}
BuildRequires:	perl-Locale-gettext
BuildRequires:	perl-Test-Harness
BuildRequires:	perl-tools-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AppArmor Parser is a userlevel program that is used to load in program
profiles to the AppArmor Security kernel module. This package is part
of a suite of tools that used to be named SubDomain.

%description -l pl.UTF-8
AppArmor Parser to program przestrzeni użytkownika służący do
wczytywania profili programów dla modułu bezpieczeństwa AppArmor jądra
Linuksa. Ten pakiet jest częścią zestawu narzędzi nazywanych
SubDomain.

%prep
%setup -q -n apparmor-%{version}
%patch0 -p0

%build
%{__make} -j1 -C parser \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags}" \
	%{?with_dynamic:AAREOBJECTS='$(AAREOBJECT)' AARE_LDFLAGS= AALIB=-lapparmor} \
	USE_SYSTEM=1

%if %{with tests}
%{__make} -j1 -C parser tests \
	CC="%{__cc}" \
	%{?with_dynamic:AAREOBJECTS='$(AAREOBJECT)' AARE_LDFLAGS=-lstdc++ AALIB=-lapparmor} \
	USE_SYSTEM=1
%endif

%install
rm -rf $RPM_BUILD_ROOT
cd parser

install -d $RPM_BUILD_ROOT{%{_mandir}/man{5,7,8},%{_sysconfdir}/{apparmor,rc.d/init.d},/sbin,/subdomain,/var/lib/apparmor}

install apparmor_parser $RPM_BUILD_ROOT/sbin
install subdomain.conf $RPM_BUILD_ROOT%{_sysconfdir}/apparmor
install rc.apparmor.functions $RPM_BUILD_ROOT%{_sysconfdir}/apparmor
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/apparmor
install *.5 $RPM_BUILD_ROOT%{_mandir}/man5
install *.7 $RPM_BUILD_ROOT%{_mandir}/man7
install *.8 $RPM_BUILD_ROOT%{_mandir}/man8

%{__make} -j1 -C po install \
	DESTDIR=$RPM_BUILD_ROOT \
	NAME=%{name}

cd ..
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add apparmor

%preun
if [ "$1" = "0" ]; then
        /sbin/chkconfig --del apparmor
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc parser/README
%attr(755,root,root) /sbin/apparmor_parser
%dir %{_sysconfdir}/apparmor
%{_sysconfdir}/apparmor/rc.apparmor.functions
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apparmor/subdomain.conf
%attr(754,root,root) /etc/rc.d/init.d/apparmor
/subdomain
/var/lib/apparmor
%{_mandir}/man5/apparmor.d.5*
%{_mandir}/man5/subdomain.conf.5*
%{_mandir}/man7/apparmor.7*
%{_mandir}/man8/apparmor_parser.8*
%changelog
* Sun Sep 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apparmor-parser.git;a=log;h=master

* Sun Sep 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 9c5ae45
- libapparmor epoch

* Sun Sep 20 2015 Jakub Bogusz <qboosh@pld-linux.org> e0489dd
- updated URL

* Sun Sep 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 8afee64
- updated to 2.10

* Fri May 29 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> cdbf1ae
- Version: 2.9.2

* Sat Mar 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ed6d33
- up to 2.9.1

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> dc77c5f
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> e2b8c2a
- updated gettext BR

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 8da0f67
- updated BRs

* Sat Nov 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 4caff13
- updated to 2.9.0

* Mon Feb 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 1448220
- updated to 2.8.3
- removed obsolete bison3 patch

* Mon Nov 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 69fdbb5
- rel 1

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> 921e937
- fix building with bison 3.0

* Mon Nov 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 95ab98a
- partial 2.8.2 update

* Fri Jan 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 49c8bde
- up to 2.8.1

* Thu Jun 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 798a329
- up to 2.8.0

* Sat Apr 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 8b32f5b
- verbose man files
- GPL version

* Fri Apr 06 2012 Jakub Bogusz <qboosh@pld-linux.org> b3df0fa
- added dynamic bcond

* Thu Apr 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4694c99
- up to 2.7.2

* Tue Dec 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b873852
- release 5

* Tue Dec 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 816628c
- missing pipe

